Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class ReplacementNode

    java.lang.Object
      groovy.util.slurpersupport.ReplacementNode

All Implemented Interfaces:
  Buildable, Writable

    public abstract class ReplacementNode
    extends java.lang.Object

Helper base class used for lazy updates.

Authors:
  John Wilson

Method Summary
`void` | `build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map namespaceTagHints)`
`void` | `build(GroovyObject builder)`
`java.io.Writer` | `writeTo(java.io.Writer out)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### build

    public void build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map namespaceTagHints)

### build

    public void build(GroovyObject builder)

### writeTo

    public java.io.Writer writeTo(java.io.Writer out)

Groovy Documentation